View Issue Details

IDProjectCategoryView StatusLast Update
0016105ScribusBuild Systempublic2020-08-11 20:56
Reporteryichuang Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformmicrosoft windowsOSwindowsOS Version7
Product Version1.5.6.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0016105: Windows installer shows garbled chinese characters
DescriptionDuring the installation process, the prompt text and buttons are garbled.
1.5.5svn & 1.5.6svn are the same.

OS:
windows7 (language: zh_CN)
Steps To Reproduce1. download 1.5.6svn
2. double click the downloaded file to install
TagsNo tags attached.
PatchNo

Activities

yichuang

2020-05-09 05:23

reporter  

1.5.5svn.png (110,690 bytes)
1.5.5svn.png (110,690 bytes)
1.5.6svn.png (148,228 bytes)
1.5.6svn.png (148,228 bytes)

yichuang

2020-05-09 06:41

reporter   ~0047608

It is the same problem in microsoft windows10 system.

jghali

2020-05-11 16:13

administrator   ~0047614

Should be fixed when I'll post next snapshots on SourceForge.

yichuang

2020-05-21 05:15

reporter   ~0047630

I had tested the 1.5.6svn-0514 version win32 scribus downloaded from sourceforge, there are 2 situations:
1. Windows installer shows Square (maybe zh_CN), like the screenshot. But zh_TW is ok.
2. At the end of the installation, it tips an error, like the other screenshot.

So, scribus can not be installed.

jghali

2020-05-21 10:12

administrator   ~0047631

Last edited: 2020-05-21 10:17

View 2 revisions

>> Windows installer shows Square (maybe zh_CN), like the screenshot. But zh_TW is ok.

It does not on my computer and I'm not even running Windows with an Asian language. That means your display font does not support some characters.

>> At the end of the installation, it tips an error, like the other screenshot.

This message is about a Windows component we cannot provide. It can be obtained by running Windows Update and installing all available updates or here:
https://support.microsoft.com/en-us/help/2999226/update-for-universal-c-runtime-in-windows

yichuang

2020-05-25 11:15

reporter   ~0047634

I tested it again. There is no Chinese(Simplified) opeion, only Chinese(traditional).
Below is the screenshot.

error.png (229,846 bytes)
error.png (229,846 bytes)

Issue History

Date Modified Username Field Change
2020-05-09 05:23 yichuang New Issue
2020-05-09 05:23 yichuang File Added: 1.5.5svn.png
2020-05-09 05:23 yichuang File Added: 1.5.6svn.png
2020-05-09 06:41 yichuang Note Added: 0047608
2020-05-09 11:46 jghali Priority high => normal
2020-05-09 11:47 jghali Summary Garbled character with installation interface => Windows installer shows garbled chinese characters
2020-05-11 16:13 jghali Assigned To => jghali
2020-05-11 16:13 jghali Status new => resolved
2020-05-11 16:13 jghali Resolution open => fixed
2020-05-11 16:13 jghali Fixed in Version => 1.5.6.svn
2020-05-11 16:13 jghali Note Added: 0047614
2020-05-21 05:15 yichuang File Added: 2020-05-19 20-37-20 的屏幕截图.png
2020-05-21 05:15 yichuang File Added: 2020-05-19 20-44-12 的屏幕截图.png
2020-05-21 05:15 yichuang Note Added: 0047630
2020-05-21 10:12 jghali Note Added: 0047631
2020-05-21 10:17 jghali Note Edited: 0047631 View Revisions
2020-05-25 11:15 yichuang File Added: error.png
2020-05-25 11:15 yichuang Note Added: 0047634
2020-08-11 20:56 cbradney Status resolved => closed